<div>
  <h2 id="page-heading" data-cy="CompetenciaHeading">
    <span jhiTranslate="matrixApp.competencia.home.title">Competencias</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.competencia.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-competencia"
        [routerLink]="['/competencia/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.competencia.home.createLabel">Criar novo Competencia</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="competencias?.length === 0">
    <span jhiTranslate="matrixApp.competencia.home.notFound">Nenhum Competencia encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="competencias && competencias.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.competencia.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="descricao">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.competencia.descricao">Descricao</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="diretriz.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.competencia.diretriz">Diretriz</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="papel.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.competencia.papel">Papel</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let competencia of competencias; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/competencia', competencia.id, 'view']">{{ competencia.id }}</a>
          </td>
          <td>{{ competencia.descricao }}</td>
          <td>
            <div *ngIf="competencia.diretriz">
              <a [routerLink]="['/diretriz', competencia.diretriz.id, 'view']">{{ competencia.diretriz.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="competencia.papel">
              <a [routerLink]="['/papel', competencia.papel.id, 'view']">{{ competencia.papel.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/competencia', competencia.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/competencia', competencia.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(competencia)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
